> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/groups

> Create a new group with and set permissions. Set group's enterprise management capabilities (msp only).

## OpenAPI

````json PUT /v1/groups
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/groups": {
      "put": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1GroupsPutRequest"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          }
        },
        "description": "Create a new group with and set permissions. Set group's enterprise management capabilities (msp only)."
      }
    }
  },
  "components": {
    "schemas": {
      "v1GroupsPutRequest": {
        "type": "object",
        "properties": {
          "description": {
            "type": "string",
            "example": "example string",
            "description": " (required)"
          },
          "groupId": {
            "type": "string",
            "example": "example string",
            "description": "Only supply if enterprise uses an idp"
          },
          "groupType": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "managesEnterprises": {
            "type": "boolean",
            "example": true
          },
          "name": {
            "type": "string",
            "example": "example string",
            "description": " (required)"
          },
          "permissions": {
            "$ref": "#/components/schemas/commonPermissions"
          },
          "timeWindowEnd": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "timeWindowStart": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false,
        "required": [
          "description",
          "name"
        ]
      },
      "commonPermissions": {
        "type": "object",
        "properties": {
          "assetManager": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "b2b": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "b2bSecurityProfileExternal": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "billingAndInvoicing": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "compliance": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "developerTools": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "gateway": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "globalServices": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "insights": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "licensing": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "logs": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "monitoringAndTroubleshooting": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "networkConfiguration": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "orderStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "reports": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "safetyAndSecurity": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "servicePolicies": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "support": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "userAndTenantManagement": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

